This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | JSONArray
Name | ### remove()
Examples |
    // The following short JSON file called "data.json" is parsed
    // in the code below. It must be in the project's "data" folder.
    //
    // [
    //   {
    //     "id": 0,
    //     "species": "Capra hircus",
    //     "name": "Goat"
    //   },
    //   {
    //     "id": 1,
    //     "species": "Panthera pardus",
    //     "name": "Leopard"
    //   },
    //   {
    //     "id": 2,
    //     "species": "Equus zebra",
    //     "name": "Zebra"
    //   }
    // ]

    JSONArray values;

    void setup() {

      values = loadJSONArray("data.json");

      values.remove(0);  // Remove the array's first element

      for (int i = 0; i < values.size(); i++) {

        JSONObject animal = values.getJSONObject(i);

        int id = animal.getInt("id");
        String species = animal.getString("species");
        String name = animal.getString("name");

        println(id + ", " + species + ", " + name);
      }
    }

    // Sketch prints:
    // 1, Panthera pardus, Leopard
    // 2, Equus zebra, Zebra
Description | Removes the element from a JSONArray in the specified index position. Returns either the value associated with the given index, or null, if there is no value.
Syntax |
    .remove(index)
Parameters |
index | int: the index value of the element to be removed
Returns | Object
Related | size() append()

Updated on October 26, 2013 08:58:33pm PDT